<?php
/**********************************************************************************
* install_db.php - Database install with 
* "Remove all data associated with this modification" added
* Version 1.8.1 by JMiller a/k/a butchs
*********************************************************************************
* This program is distributed in the hope that it is and will be useful, but
* WITHOUT ANY WARRANTIES; without even any implied warranty of MERCHANTABILITY
* or FITNESS FOR A PARTICULAR PURPOSE.
**********************************************************************************/

// If SSI.php is in the same place as this file, and SMF isn't defined, this is being run standalone.
if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF')) {
	require_once(dirname(__FILE__) . '/SSI.php'); }

// Hmm... no SSI.php and no SMF?
elseif (!defined('SMF')) die('<b>Error:</b> Cannot install - please verify you put this in the same place as SMF\'s index.php.');

global $sourcedir, $language, $user_info, $db_prefix, $ssi_theme, $settings;

if ((SMF == 'SSI') && !$user_info['is_admin']) die('Admin priveleges required.');

if(isset($smcFunc))
{
	global $smcFunc;
	if (function_exists('db_extend')) {
		db_extend('packages');
		db_extend();
	} else {
		require_once($sourcedir . '/Subs-Db-mysql.php');
		db_extend('packages');
		db_extend(); }

	$smcFunc['db_insert']('ignore',
		$db_prefix . 'settings',
		array('variable' => 'string', 'value' => 'string',
		),
		array(
			array('enable_linktree_hover', '1'),
			array('disable_linktree_first_page', '0')
		),
		array()
	);
}
else
{
	db_query("
		INSERT IGNORE INTO {$db_prefix}settings 
		VALUES ('enable_linktree_hover', '1')
	", __FILE__, __LINE__);

	db_query("
		INSERT IGNORE INTO {$db_prefix}settings 
		VALUES ('disable_linktree_first_page', '0')
	", __FILE__, __LINE__);
}

?>