<?php
/**********************************************************************************
* Boardhover-linktree.php - Linktree hover code included with the BoardHover mod
* Version 1.6.1 by JMiller a/k/a butchs
*********************************************************************************
* This program is distributed in the hope that it is and will be useful, but
* WITHOUT ANY WARRANTIES; without even any implied warranty of MERCHANTABILITY
* or FITNESS FOR A PARTICULAR PURPOSE.
**********************************************************************************/

if (!defined('SMF'))
	die('Hacking attempt...');

function LinktrhMain()
{
	global $context, $settings, $options, $modSettings, $ShoTree, $ShMod, $AdMod, $OddCtr, $myCtr, $LinkCtr;

	InitializeTree();

	if (($modSettings['disable_linktree_first_page'] == 1) && ($myCtr == 1)) {
		FreeTreeMem();
		return; }

	if ($modSettings['enable_linktree_hover'] == 0) {
		echo ' <div class="navigate_section">';
		echo ' <ul>';
		SMFLinkTree();
		echo ' </ul></div>';
		FreeTreeMem();
		return; }

	if ($context['right_to_left'])
		ReverseLinktreeHover();

	switch ($myCtr) {
	case 0:
	break;
	case 1:
		echo ' <div class="navigate_hvr_section">';
		echo ' <div><ul><li class="linktree_border0 linktree_b"><div class="linktree_0 linktree_0_hover"  onclick="window.location.href=\'' . $ShoTree['0'][$myCtr] . '\'">';
		echo $ShoTree[$myCtr]['0'];
		echo ' &nbsp;</div></li>';
	break;
	case ($myCtr < 7):
		echo ' <div class="navigate_hvr_section">';
		if($myCtr % 2) { 
			for ($LinkCtr = 0; $LinkCtr < $myCtr; $LinkCtr++) {
				if($LinkCtr % 2)
					$OddCtr++; }
			echo ' <div class="linktree_border' . $OddCtr . '"', '><ul><li class="linktree_b">'; }
		else
			echo ' <div', ($AdMod == 1) ? ' class="linktree_border' . ($myCtr/2) . '"' : ' class="linktree_border' . ($myCtr/2-1) . '"', '><ul><li class="linktree_b">';
		for ($LinkCtr = 1; $LinkCtr < $myCtr+1; $LinkCtr++) {
			echo ' <div class="linktree_' . $LinkCtr . ' linktree_' . $LinkCtr . '_hover" onclick="window.location.href=\'' . $ShoTree['0'][$LinkCtr] . '\'">';
			echo $ShoTree[$LinkCtr]['0'];
			if ($LinkCtr % 2 == 0) {
				if ($myCtr == $LinkCtr && $AdMod == 0)
					echo ' &nbsp;</div>';
				else
					echo ' &nbsp;</div></li><li class="linktree_b">'; }
			else
				echo ' &nbsp;</div>'; }
		if($myCtr % 2) {
			if ($AdMod == 1) {
				echo ' <div class="linktree_6">';
				echo $ShMod;
				echo ' &nbsp;</div>'; } }
		else {
			if ($AdMod == 1) {
				echo ' <div class="linktree_7">';
				echo $ShMod;
				echo ' &nbsp;</div>'; } }
		echo ' </li>';
	break;
	default:
		echo ' <div class="navigate_section">';
		echo ' <div><ul>';
		SMFLinkTree();
	break;
	}
	echo ' </ul></div></div>';
	FreeTreeMem();
}

function InitializeTree()
{
	global $context, $settings, $ShoTree, $ShMod, $AdMod, $OddCtr, $myCtr, $LinkCtr;

	$ShoTree = array();
	$ShMod = "";
	$AdMod = $OddCtr = $myCtr = $LinkCtr = 0;

foreach ($context['linktree'] as $link_num => $tree) {
	if  ($settings['linktree_link'] && isset($tree['url'])) {
			$ShoTree[$link_num + 1]['0'] = '<a href="' . $tree['url'] . '" style="text-decoration: none;">' . $tree['name'] . '</a>';
			$ShoTree['0'][$link_num + 1] = '' . $tree['url'] . ''; }
		else {
			$ShoTree[$link_num + 1]['0'] = $tree['name'];
			$ShoTree['0'][$link_num + 1] = $ShMod; } }
$myCtr=$link_num + 1;
if ($myCtr >= 4) {
		if (isset($context['linktree'][count($context['linktree']) - 2]['extra_after'])) {
			$ShMod = $context['linktree'][count($context['linktree']) - 2]['extra_after'];
			$ShoTree[$myCtr+1]['0'] = $context['linktree'][count($context['linktree']) - 2]['extra_after'];
			$AdMod = 1;	} }
}

function FreeTreeMem()
{
	global $context, $ShoTree, $ShMod, $AdMod, $OddCtr, $myCtr, $LinkCtr;

	foreach ($ShoTree as $link_num => $tree) {
		unset($ShoTree[$link_num + 1]['0']);
		unset($ShoTree['0'][$link_num + 1]);
		if ($context['right_to_left']) {
			unset($ShoTree[$link_num + 1][$myCtr+1]); 
			unset($ShoTree[$myCtr+1][$link_num + 1]); } }

	unset($ShoTree);
	unset($ShMod, $AdMod, $OddCtr, $myCtr, $LinkCtr);
}

function ReverseLinktreeHover()
{
	global $ShoTree, $myCtr;

foreach ($ShoTree as $link_num => $tree) {
	$ShoTree[$link_num + 1][$myCtr+1] = $ShoTree[$link_num + 1]['0'];
	$ShoTree[$myCtr+1][$link_num + 1] = $ShoTree['0'][$link_num + 1]; }

foreach ($ShoTree as $link_num => $tree) {
	if(($link_num + 1) % 2) {
		if (($link_num + 1) != $myCtr) {
			$ShoTree[$link_num + 1]['0'] = $ShoTree[$link_num + 2][$myCtr+1];
			$ShoTree['0'][$link_num + 1] = $ShoTree[$myCtr+1][$link_num + 2]; } }
	else {
		$ShoTree[$link_num + 1]['0'] = $ShoTree[$link_num][$myCtr+1];
		$ShoTree['0'][$link_num + 1] = $ShoTree[$myCtr+1][$link_num]; } }
}

?>